## com.saxonica.schema
Class ExplicitTimezoneFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.ExplicitTimezoneFacet

All Implemented Interfaces:
  Serializable

    public class ExplicitTimezoneFacet

extends Facet

Represents an explicitTimezone facet on a schema-defined simple type derived from date, time, dateTime, gYear, gYearMonth, gMonth, gMonthDay, or gDay

See Also:
  Serialized Form

Field Summary
`static int` `OPTIONAL`
`static int` `PROHIBITED`
`static int` `REQUIRED`

Constructor Summary
`ExplicitTimezoneFacet()` Create an explicitTimezone facet

Method Summary
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
`String` `getName()` Returns the name of this Facet
`String` `getValue()` Returns the lexical representation of the value of this facet
`void` `setValue(String value)`
`boolean` `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

Methods inherited from class com.saxonica.schema.Facet
`getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTIONAL

    public static final int OPTIONAL

See Also:
  Constant Field Values

### REQUIRED

    public static final int REQUIRED

See Also:
  Constant Field Values

### PROHIBITED

    public static final int PROHIBITED

See Also:
  Constant Field Values

Constructor Detail

### ExplicitTimezoneFacet

    public ExplicitTimezoneFacet()

  Create an explicitTimezone facet

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### getValue

    public String getValue()

  Description copied from class: `Facet`
  Returns the lexical representation of the value of this facet

  Specified by:
    `getValue` in class `Facet`
  Returns:
    the value of this facet, as a string

### setValue

    public void setValue(String value)
                  throws SchemaException

  Throws:
    `SchemaException`

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base,
                                      SchemaCompiler compiler)
                               throws SchemaException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `compiler` -
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal

### testAtomicValue

    public boolean testAtomicValue(AtomicValue value)

  Test whether an atomic value conforms to this facet

  Specified by:
    `testAtomicValue` in class `Facet`
  Parameters:
    `value` - the value to be tested
  Returns:
    true if the value conforms; false if it doesn't conform, or if the test fails

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.